<template>
  <t-modal
    v-model="vModel"
    id="_email-sent-modal"
  >

    <!-- Email sent icon -->
    <p class="text-center text-primary mb-8">
      <v-icon name="paper-plane" scale="5"/>
    </p>

    <!-- Text content -->
    <i18n path="user.emailVerificationLinkSent" tag="p">
      <!-- ref {0} -->
      <code class="bg-gray-100 dark:bg-dark-2 p-1 rounded">{{ email }}</code>
      <!-- ref {1} -->
      <br><br>
    </i18n>

    <!-- Footer -->
    <template v-slot:footer>
      <div class="flex justify-center">
        <Button @click.native="vModel = false">
          {{ $t('global.ok') | capitalize }}
        </Button>
      </div>
    </template>

  </t-modal>

</template>

<script>
// BaseModal component
import BaseModal from './BaseModal'
/**
 * EmailSentModal component
 */
export default {
  name: 'EmailSentModal',
  extends: BaseModal,
  computed: {
    /**
     * email address
     */
    email: function () {
      return this.$root.auth.user()
        ? this.$root.auth.user().email
        : ''
    }
  }
}
</script>

<style lang="scss">
#_email-sent-modal {
  //
}
</style>
